gtkmm 2.4: Pango::AttrFloat Class Reference

Main Page Widgets Namespaces Book

# Pango::AttrFloat Class Reference

Inheritance diagram for Pango::AttrFloat:

[legend]
List of all members.

## Detailed Description

A Pango::AttrFloat is used to represent an attribute with a float or double value.

## Public Member Functions
| AttrFloat (PangoAttrFloat* castitem, bool take_copy=true)
| AttrFloat (const AttrFloat& src)
double | get_value () const
| Gets the floating point value of the attribute.
const PangoAttrFloat* | gobj () const
| Provides access to the underlying C GObject.
PangoAttrFloat* | gobj ()
| Provides access to the underlying C GObject.
AttrFloat& | operator= (const AttrFloat& src)
void | set_value (const double& value)
| Sets the floating point value of the attribute.
## Protected Member Functions
| AttrFloat ()
## Related Functions
(Note that these are not member functions.)
Pango::AttrFloat | wrap (PangoAttrFloat* object, bool take_copy=false)

## Constructor & Destructor Documentation

Pango::AttrFloat::AttrFloat | ( |  | ) | `[protected]`

Pango::AttrFloat::AttrFloat | ( | const AttrFloat& | src | ) |

Pango::AttrFloat::AttrFloat | ( | PangoAttrFloat* | castitem,
|  | bool | take_copy = `true`
| ) | `[explicit]`

## Member Function Documentation

double Pango::AttrFloat::get_value | ( |  | ) | const

| Gets the floating point value of the attribute. Returns: The floating point value of the attribute.

const PangoAttrFloat* Pango::AttrFloat::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Pango::Attribute.

PangoAttrFloat* Pango::AttrFloat::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Pango::Attribute.

AttrFloat& Pango::AttrFloat::operator= | ( | const AttrFloat& | src | ) |

void Pango::AttrFloat::set_value | ( | const double& | value | ) |

  | Sets the floating point value of the attribute. Parameters:
  | value | The new floating point value for the attribute.

## Friends And Related Function Documentation

Pango::AttrFloat wrap | ( | PangoAttrFloat* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

The documentation for this class was generated from the following file:

- attributes.h